<div style="padding-left: 10% ; margin-right: 5%;">
    <div class="card" style="margin-bottom: 2%;">
        <div class="card-body">
            <form #form="ngForm">
                <div class="row">
                    <div class="col">
                        <!-- Inicio nombre -->
                        <div>
                            <label for="nombre">*Nombre</label>
                            <input id="nombre" [(ngModel)]="usuario.nombre" #nombre="ngModel" name="nombre"
                                class="form-control" type="text" placeholder="Ingrese su nombre">
                        </div>
                        <!-- Fin nombre -->

                        <!-- Inicio especialidad -->
                        <div>
                            <label for="especialidad" style="padding-top: 10%;">*Especialidad</label>
                            <div>
                                <select class="form-control" [(ngModel)]="profesional.especialidad_id"
                                    #especialidad_id="ngModel" name="especialidad_id">
                                    <option *ngFor="let especialidad of especialidades" [value]="especialidad.id">
                                        {{ especialidad.nombre }}</option>
                                </select>
                            </div>
                        </div>
                        <!-- Fin especialidad -->

                        <!-- Inicio Rut -->
                        <div>
                            <label for="rut" style="padding-top: 10%;">*Rut</label>
                            <input id="rut" [(ngModel)]="usuario.rut" class="form-control" type="text" #rut="ngModel"
                                name="rut" placeholder="12345678-1">
                        </div>
                        <!-- Fin Rut -->

                        <!-- Inicio Numero de telefono -->
                        <div>
                            <label for="numeroTelefono" style="padding-top: 10%;">*Número de teléfono</label>
                            <input class="form-control" type="text" placeholder="987654321"
                                [(ngModel)]="usuario.telefono" #telefono="ngModel" name="telefono">
                        </div>
                        <!-- Fin Numero de telefono -->

                        <!-- Inicio Contraseña -->
                        <div>
                            <label for="contraseña" style="padding-top: 10%;">*Contraseña</label>
                            <div>
                                <input type="password" class="form-control" id="contraseña" [(ngModel)]="usuario.pass"
                                    #pass="ngModel" name="pass" placeholder="********">
                            </div>
                        </div>
                        <!-- Fin Contraseña -->

                    </div>
                    <div class="col">

                        <!-- Inicio apellidos -->
                        <div>
                            <label for="apellido">*Apellido</label>
                            <input id="apellido " class="form-control" type="text" placeholder="Ingrese su apellido"
                                [(ngModel)]="usuario.apellido" #apellido="ngModel" name="apellido">
                        </div>
                        <!-- Fin apellido -->

                        <!-- comienzo genero -->
                        <div>
                            <label for="genero" style="padding-top: 10%;">*Genero</label>
                            <div>
                                <select [(ngModel)]="usuario.genero" #genero="ngModel" name="genero"
                                    class="form-control">
                                    <option value="Masculino">Masculino</option>
                                    <option value="Femenino">Femenino</option>
                                    <option value="Otro">Otro</option>
                                </select>
                            </div>
                        </div>
                        <!-- fin genero -->

                        <!-- Inicio rnpi -->
                        <div>
                            <label for="rnpi" style="padding-top: 10%;">*RNPI</label>
                            <input id="rnpi" type="text" class="form-control" [(ngModel)]="profesional.rnpi"
                                #rnpi="ngModel" name="rnpi" placeholder="fsdfa3r3a">
                        </div>
                        <!-- Fin rnpi -->

                        <!-- Inicio correo -->
                        <div>
                            <label for="email" style="padding-top: 10%;">*Correo</label>
                            <input id="email" type="email" class="form-control" [(ngModel)]="usuario.correo"
                                #correo="ngModel" name="correo" placeholder="name@example.com">
                        </div>
                        <!-- Fin correo -->

                        <!-- Inicio repeticion contraseña -->
                        <div>
                            <label for="repeContraseña" style="padding-top: 10%;">*Repetir contraseña</label>
                            <div>
                                <input #rePass type="password" class="form-control" id="repeContraseña"
                                    placeholder="********">
                            </div>
                        </div>
                        <!--  Fin repeticion contraseña -->
                    </div>
                </div>

                <div class="mb-3">
                    <label for="descripcion" class="form-label" style="padding-top: 2%;">*Descripción</label>
                    <textarea class="form-control" [(ngModel)]="profesional.descripcion" #descripcion="ngModel"
                        name="descripcion" id="descripcion" rows="3"></textarea>
                </div>



                <!-- Inicio terminos y condiciones -->
                <div class="form-check" style="padding-left: 8%;">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                    <label class="form-check-label" for="flexCheckDefault">
                        Acepto los <a href="#" class="card-link">Términos y condiciones</a>
                        y declaro ser mayor de edad.
                    </label>
                </div>
                <!-- fin termino y condiciones -->
                <br>
                <br>
                <!-- Inicio button de submit -->
                <div class="text-center">
                    <button type="submit" class="btn btn-secondary"
                        (click)="registrar(form, rePass.value)">Registrarse</button>
                </div>

                <br>
                <div class="alert alert-success" role="alert" *ngIf="success">
                    {{message}}
                </div>
                <div class="alert alert-danger" role="alert" *ngIf="error">
                    {{message}}
                </div>

                <!-- Fin button de submit -->

                <!-- Inicio Regristre aqui -->
                <div class="text-center">
                    <label>
                        Si ya tienes una cuenta ingresa <a href="#" class="card-link">aqui</a>
                    </label>
                </div>
                <!-- Fin Regristre aqui -->
            </form>
        </div>
    </div>
</div>
